Bug 526783 - Default live image is configured to automount new disks
Default live image is configured to automount new disks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-10-01 14:15 EDT by James Laska
Modified: 2013-09-02 02:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 11:13:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-10-01 14:15:56 EDT
Description of problem:

When installing a system from the live environment, the liveuser desktop is configured to automount new disks.  During install, when you complete the format stage, the liveuser desktop will attempt to mount the newly created partitions.  This is just an awkward user experience to have new windows popping up while you're attempting the install.

I don't recall seeing this behavior until recent F-12 live images.

Version-Release number of selected component (if applicable):

 * rawhide-20091001
 * anaconda-12.32

How reproducible:


Steps to Reproduce:
1. Boot a live image on a bare metal system
2. Click "Install to hard drive"
3. Proceed through install past partitioning
  
Actual results:

the liveuser's nautilus will open up new windows and attempt to mount newly created partitions

Expected results:

Perhaps nautilus could be quiesced while installing so not to open up dialogs interfering with the install process.

Additional info:
Comment 1 Jeremy Katz 2009-10-06 21:59:21 EDT
Sounds like dev-disks might have changed what it's looking like for "don't run"?  anaconda is run under devkit-disks --inhibit which should be stopping things from mounting.
Comment 2 James Laska 2009-10-07 10:08:50 EDT
Thanks Jeremy.  This is an unpleasant experience that will confuse live image users.  I'm requesting review for this issue for the F12Blocker list.
Comment 3 Matthias Clasen 2009-10-07 11:13:01 EDT
Should be fixed by

* Mon Oct 05 2009 David Zeuthen <davidz@redhat.com> - 007-2.fc12
- Actually inhibit the daemon (#527091)

Note You need to log in before you can comment on or make changes to this bug.